> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update contact

> Update an existing contact by its ID.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/contacts.yaml PATCH /contacts/{id}
openapi: 3.0.3
info:
  title: NeetoCRM Contacts APIs
  version: 2.0.0
servers:
  - description: NeetoCRM APIs
    url: https://{your-subdomain}.neetocrm.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Contacts
    description: APIs to manage contacts in your workspace.
paths:
  /contacts/{id}:
    patch:
      tags:
        - Contacts
      summary: Update contact
      description: Update an existing contact by its ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - name: id
          in: path
          required: true
          description: >-
            The ID of the contact to update. You can get the contact `id` by
            listing all contacts using our [List all
            contacts](/api-reference/contacts/list) API.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/contact_request'
      responses:
        '200':
          description: Contact updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
  schemas:
    contact_request:
      type: object
      properties:
        contact:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: Contact name.
              example: Eve
            email:
              type: string
              description: Email address.
              example: eve@example.com
            phone_number:
              type: string
              description: Phone number.
              example: '+1234567890'
            company_id:
              type: string
              description: Unique identifier of the associated company.
              example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
            owner_id:
              type: string
              description: Unique identifier of the owner.
              example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
            tag_ids:
              type: array
              items:
                type: string
              description: Array of tag IDs.
              example:
                - a1b2c3d4-e5f6-7890-abcd-ef1234567890
                - b2c3d4e5-f6a7-8901-bcde-f12345678901
            field_values_attributes:
              type: array
              description: Custom field values.
              items:
                type: object
                properties:
                  field_id:
                    type: string
                    description: Unique identifier of the custom field.
                  value:
                    type: string
                    description: Value for the custom field.
    contact_response:
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/contact'
      example:
        contact:
          id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
          name: Eve
          email: eve@example.com
          phone_number: ''
          created_at: '2025-03-15T10:30:00.000Z'
          updated_at: '2025-03-15T10:30:00.000Z'
          owner: null
          tags: []
          company:
            id: null
            name: null
    contact:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the contact.
        name:
          type: string
          description: Name of the contact.
        email:
          type: string
          nullable: true
          description: Email address of the contact.
        phone_number:
          type: string
          nullable: true
          description: Phone number of the contact.
        owner:
          type: string
          nullable: true
          description: Owner of the contact.
        tags:
          type: array
          items:
            type: string
          description: Tags associated with the contact.
        company:
          type: object
          nullable: true
          description: Associated company.
          properties:
            id:
              type: string
              description: Unique identifier of the company.
            name:
              type: string
              description: Name of the company.
        created_at:
          type: string
          format: date-time
          description: Timestamp when the contact was created.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the contact was last updated.

````